CorePlusExtensionsParser (Lucene 10.5.0 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.xml, class: CorePlusExtensionsParser

Package org.apache.lucene.queryparser.xml

# Class CorePlusExtensionsParser

java.lang.Object
org.apache.lucene.queryparser.xml.CoreParser
org.apache.lucene.queryparser.xml.CorePlusQueriesParser
org.apache.lucene.queryparser.xml.CorePlusExtensionsParser

All Implemented Interfaces:
  `SpanQueryBuilder`, `QueryBuilder`

public class CorePlusExtensionsParser extends CorePlusQueriesParser
Assembles a QueryBuilder which uses Query objects from Lucene's `sandbox` and `queries` modules in addition to core queries.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queryparser.xml.CoreParser

  `analyzer, defaultField, DISALLOW_EXTERNAL_ENTITY_RESOLVER, parser, queryFactory, spanFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CorePlusExtensionsParser(String defaultField, Analyzer analyzer)`
  Constructs an XML parser that creates a QueryParser for each UserQuery request.
  `CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)`
  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.queryparser.xml.CoreParser

  `addQueryBuilder, addSpanBuilder, addSpanQueryBuilder, getEntityResolver, getErrorHandler, getQuery, getSpanQuery, parse`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CorePlusExtensionsParser

    public CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)
    Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser
    Parameters:
      `parser` - A QueryParser which will be synchronized on during parse calls.

  - ### CorePlusExtensionsParser

    public CorePlusExtensionsParser(String defaultField, Analyzer analyzer)
    Constructs an XML parser that creates a QueryParser for each UserQuery request.
    Parameters:
      `defaultField` - The default field name used by QueryParsers constructed for UserQuery tags